Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream.feed
Class DecomposingFeed

    java.lang.Object
      com.saxonica.stream.feed.DecomposingFeed

All Implemented Interfaces:
  Feed

    public class DecomposingFeed

extends Object
implements Feed

Appends the output of an ItemFeed to a SequenceReceiver

Constructor Summary
`DecomposingFeed(SequenceReceiver result)`

Method Summary
`void` | `append(Item item)` Supply an item to the feed
`void` | `close()` Signal the end of the sequence of items
`PipelineConfiguration` | `getPipelineConfiguration()` Get the pipeline configuration
`void` | `open()` Signal the start of a sequence of items

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecomposingFeed

    public DecomposingFeed(SequenceReceiver result)

Method Detail

### getPipelineConfiguration

    public PipelineConfiguration getPipelineConfiguration()

  Get the pipeline configuration

  Specified by:
    `getPipelineConfiguration` in interface `Feed`
  Returns:
    the pipeline configuration

### open

    public void open()
              throws XPathException

  Signal the start of a sequence of items

  Specified by:
    `open` in interface `Feed`
  Throws:
    `XPathException` - to report any failure

### close

    public void close()
               throws XPathException

  Signal the end of the sequence of items

  Specified by:
    `close` in interface `Feed`
  Throws:
    `XPathException` - to report any failure

### append

    public void append(Item item)
                throws XPathException

  Supply an item to the feed

  Specified by:
    `append` in interface `Feed`
  Parameters:
    `item` - the item being fed
  Throws:
    `XPathException` - to report any failure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.